Bug 433919 - iwl3945 does not load
iwl3945 does not load
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 23:15 EST by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 09:45:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-02-21 23:15:26 EST
Description of problem:



Feb 21 22:56:16 nostromo kernel: iwl3945: Intel(R) PRO/Wireless 3945ABG/BG
Network Connection driver for Linux, 1.2.23kds
Feb 21 22:56:16 nostromo kernel: iwl3945: Copyright(c) 2003-2007 Intel Corporation
Feb 21 22:56:16 nostromo kernel: ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17
(level, low) -> IRQ 17
Feb 21 22:56:16 nostromo kernel: iwl3945: Detected Intel PRO/Wireless 3945ABG
Network Connection
Feb 21 22:56:16 nostromo kernel: iwl3945: Tunable channels: 11 802.11bg, 13
802.11a channels
Feb 21 22:56:16 nostromo kernel: ------------[ cut here ]------------
Feb 21 22:56:16 nostromo kernel: WARNING: at net/mac80211/ieee80211_rate.c:40
ieee80211_rate_control_register+0x5e/0xdb [mac80211]() (Not tainted)
Feb 21 22:56:16 nostromo kernel: Modules linked in: iwl3945(+) ipt_MASQUERADE
iptable_nat nf_nat bridge rfcomm l2cap bluetooth sunrpc nf_conntrack_netbios_ns
nf_conntrack_ipv4 xt_state nf_conntrack ipt_REJECT iptable_filter ip_tables
xt_tcpudp ip6t_REJECT ip6table_filter ip6_tables x_tables cpufreq_ondemand
acpi_cpufreq freq_table dm_mirror dm_mod i915 drm ipv6 uinput kvm_intel kvm
sr_mod cdrom snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm pata_acpi thinkpad_acpi
nsc_ircc hwmon snd_timer irda i2c_i801 snd_page_alloc crc_ccitt battery ac
iTCO_wdt snd_hwdep mac80211 iTCO_vendor_support e1000e snd i2c_core ata_piix
button ata_generic cfg80211 soundcore sg ahci libata sd_mod scsi_mod ext3 jbd
mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: iwl3945]
Feb 21 22:56:16 nostromo kernel: Pid: 2800, comm: modprobe Not tainted
2.6.25-0.61.rc2.git4.fc9 #1
Feb 21 22:56:16 nostromo kernel: 
Feb 21 22:56:16 nostromo kernel: Call Trace:
Feb 21 22:56:16 nostromo kernel:  [<ffffffff810348fb>] warn_on_slowpath+0x6f/0xab
Feb 21 22:56:16 nostromo kernel:  [<ffffffff81053fee>] ? mark_held_locks+0x5c/0x77
Feb 21 22:56:16 nostromo kernel:  [<ffffffff812a4cca>] ?
mutex_lock_nested+0x27a/0x295
Feb 21 22:56:16 nostromo kernel:  [<ffffffff8105417f>] ?
trace_hardirqs_on+0xf1/0x115
Feb 21 22:56:16 nostromo kernel:  [<ffffffff812a4cd6>] ?
mutex_lock_nested+0x286/0x295
Feb 21 22:56:16 nostromo kernel:  [<ffffffff8812e423>] ?
:mac80211:ieee80211_rate_control_register+0x2e/0xdb
Feb 21 22:56:16 nostromo kernel:  [<ffffffff810a6266>] ? kmem_cache_alloc+0x7d/0xa8
Feb 21 22:56:16 nostromo kernel:  [<ffffffff8812e453>]
:mac80211:ieee80211_rate_control_register+0x5e/0xdb
Feb 21 22:56:16 nostromo kernel:  [<ffffffff88197a48>]
:iwl3945:iwl3945_rate_control_register+0x10/0x12
Feb 21 22:56:16 nostromo kernel:  [<ffffffff8818fb8a>]
:iwl3945:iwl3945_pci_probe+0x1684/0x183b
Feb 21 22:56:16 nostromo kernel:  [<ffffffff8101222e>] ?
native_sched_clock+0x50/0x6d
Feb 21 22:56:16 nostromo kernel:  [<ffffffff812a6683>] ? _spin_unlock+0x26/0x2a
Feb 21 22:56:16 nostromo kernel:  [<ffffffff8114b639>] pci_device_probe+0xc7/0x11e
Feb 21 22:56:16 nostromo kernel:  [<ffffffff811bb1ab>]
driver_probe_device+0xc0/0x16e
Feb 21 22:56:16 nostromo kernel:  [<ffffffff811bb2ec>] __driver_attach+0x93/0xd3
Feb 21 22:56:16 nostromo kernel:  [<ffffffff811bb259>] ? __driver_attach+0x0/0xd3
Feb 21 22:56:16 nostromo kernel:  [<ffffffff811ba996>] bus_for_each_dev+0x52/0x8c
Feb 21 22:56:16 nostromo kernel:  [<ffffffff811baff3>] driver_attach+0x1c/0x1e
Feb 21 22:56:16 nostromo kernel:  [<ffffffff811ba1f5>] bus_add_driver+0xba/0x206
Feb 21 22:56:16 nostromo kernel:  [<ffffffff811bb4b6>] driver_register+0x5e/0xde
Feb 21 22:56:16 nostromo kernel:  [<ffffffff8114b8c6>]
__pci_register_driver+0x63/0x9d
Feb 21 22:56:16 nostromo kernel:  [<ffffffff880ed03f>]
:iwl3945:iwl3945_init+0x3f/0x8e
Feb 21 22:56:16 nostromo kernel:  [<ffffffff8105e47e>] sys_init_module+0x1945/0x1a68
Feb 21 22:56:16 nostromo kernel:  [<ffffffff810acdc4>] ? do_sync_read+0xe7/0x12d
Feb 21 22:56:16 nostromo kernel:  [<ffffffff8812fdf5>] ?
:mac80211:ieee80211_rx_irqsafe+0x0/0x6a
Feb 21 22:56:16 nostromo kernel:  [<ffffffff81013634>] ?
syscall_trace_enter+0xb0/0xb4
Feb 21 22:56:16 nostromo kernel:  [<ffffffff8100c1d7>] tracesys+0xdc/0xe1
Feb 21 22:56:16 nostromo kernel: 
Feb 21 22:56:16 nostromo kernel: ---[ end trace 51267688a6004b1a ]---
Feb 21 22:56:16 nostromo kernel: iwl3945: Failed to register network device
(error -12)
Feb 21 22:56:16 nostromo kernel: ACPI: PCI interrupt for device 0000:03:00.0
disabled
Feb 21 22:56:16 nostromo kernel: iwl3945: probe of 0000:03:00.0 failed with
error -12

Version-Release number of selected component (if applicable):

kernel-2.6.25-0.61.rc2.git4.fc9.x86_64
Comment 1 Bill Nottingham 2008-02-22 09:45:59 EST
This appears to be fixed in 0.64.rc2.git5. 

Note You need to log in before you can comment on or make changes to this bug.